Architecting, installing and maintaining your SAS environment

SAS 9.4 Oracle 12 Instant Client

Reply
New Contributor
Posts: 4

SAS 9.4 Oracle 12 Instant Client

Good Day,

 

We are trying to make a fresh install of SAS9.4 connect to our oracle DB via instant clent 12 libraries:

 

ERROR: Could not load /opt/sas-9.4.1/SASFoundation/9.4/sasexe/sasora (72 images loaded)

ERROR: libclntsh.so.11.1: cannot open shared object file: No such file or directory

ERROR: The SAS/ACCESS Interface to ORACLE cannot be loaded. ERROR: Image SASORA   found but not loadable..

Please make sure Oracle environment is set correctly.

Look in the install/Config doc for additional info for your platform.

Other possible reasons - incomplete Oracle client install, 32/64-bit mismatch between Oracle client & SAS, incorrect Oracle client

      version(Oracle client must match the version picked during post-install process), incompatible sasora for your OS or its attribs don't

      permit SAS to load it.

ERROR: Error in the LIBNAME statement.

ERROR: Could not load /opt/sas-9.4.1/SASFoundation/9.4/sasexe/sasora (73 images loaded)

ERROR: libclntsh.so.11.1: cannot open shared object file: No such file or directory

ERROR: The SAS/ACCESS Interface to ORACLE cannot be loaded. ERROR: Image SASORA   found but not loadable..

Please make sure Oracle environment is set correctly.

Look in the install/Config doc for additional info for your platform.

Other possible reasons - incomplete Oracle client install, 32/64-bit mismatch between Oracle client & SAS, incorrect Oracle client

      version(Oracle client must match the version picked during post-install process), incompatible sasora for your OS or its attribs don't

      permit SAS to load it.

ERROR: Error in the LIBNAME statement.

 

so it seems that SAS is trying to use oracle 11 libs and not oracle 12. i cannot seem to find where this is configured. i presume that 9.4 can use the Instant Client 12 packages.

 

Super User
Posts: 3,101

Re: SAS 9.4 Oracle 12 Instant Client

Have you checked the SAS system requirements for your operating system to see what versions of Oracle are supported?

 

I looked at the Linux SAS 9.4 Oracle requirements for example:

 

The minimum required Oracle Client release is Oracle, Release 11g (64-bit libraries).

 

Also have you gone through the post-install configuration steps as advised?

New Contributor
Posts: 4

Re: SAS 9.4 Oracle 12 Instant Client

I believe we meet the systems requirements:

 

SAS/ACCESS Interface to Oracle Base SAS is required for the installation of SAS/ACCESS Interface to Oracle. DBMS Products Required SAS/ACCESS Interface to Oracle can be installed on either a full Oracle RDBMS server node or on an Oracle client node. The minimum required Oracle Client release is Oracle, Release 11g (64-bit libraries).

 

we have client 12c.

 

i don't recall seeing any postinstall instructions, is there a url for that info? thanks!

 

--- michael

 

New Contributor
Posts: 4

Re: SAS 9.4 Oracle 12 Instant Client

yes, we have done this:

 

http://support.sas.com/documentation/installcenter/en/ikfdtnunxcg/66380/PDF/default/config.pdf

 

page 55 

 

And I've looked at the Oracle component in the SAS Deployment manager but i cannot see where to set the Oracle Version in there

 

 

 

 

New Contributor
Posts: 4

Re: SAS 9.4 Oracle 12 Instant Client

And further, the installation docs say:

 

SAS/ACCESS Interface to Oracle During the initial installation of SAS/ACCESS Interface to Oracle, the SAS Deployment Wizard provides a dialog where you can specify the version of Oracle that you are using. To update that information, use the SAS Deployment Manager as described in the “Configure SAS/ACCESS Interface to Oracle” section of SAS Deployment Wizard and SAS Deployment Manager 9.4: 

 

But we never saw a dialog asking to specify the oracle version.

Super User
Posts: 3,101

Re: SAS 9.4 Oracle 12 Instant Client

It would be worth opening a track with SAS Tech Support on this if you haven't done so already.

 

The errors you are getting suggest that SAS is finding the Oracle executables OK but for some reason they are not compatible.

Ask a Question
Discussion stats
  • 5 replies
  • 1409 views
  • 2 likes
  • 2 in conversation